#include<bits/stdc++.h>
using namespace std;
int n;
string s;
vector<int> v[27];
int main()
{
    scanf("%d",&n);
    cin>>s;
    if(n<=26 or n>27)
    {
        cout<<"0"<<endl;
        return 0;
    }
    for(int i=0;i<s.size();i++)
    {
        v[s[i]-'A'+1].push_back(i);
    }
    for(int i=1;i<=26;i++)
    {
        if(v[i].size()==0)
        {
            cout<<"0"<<endl;
            return 0;
        }
    }
    if(n==27)
    {
        cout<<"1"<<endl;
    }
    return 0;
}